#include <errno.h>

#include <nllibc.h>

#if defined(__FreeBSD__)
char **environ;
const char *__progname;

void nlcrt_init(int argc, char *argv[], char **env)
{
  const char *s;
  environ = env;
  if ((argc > 0) && argv[0]) {
    __progname = argv[0];
    for (s = __progname; *s; s++) {
      if (*s == '/')
	__progname = s + 1;
    }
  } else {
    __progname = "";
  }

  errno = 0;

  return;
}
#endif

#if defined(__linux__)
void nlcrt_init(int argc, char *argv[], char **env)
{
  errno = 0;

  return;
}
#endif
